Bug 63197 - `BUS_MISC' undeclared (first use in this function)
Summary: `BUS_MISC' undeclared (first use in this function)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.2
Hardware: ia64 Linux
high
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-10 23:37 UTC by Don Chan
Modified: 2007-03-27 03:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-10 23:37:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Don Chan 2002-04-10 23:37:24 UTC
Description of Problem:
Am getting the following errors when trying to rebuid the 
anaconda-7.2-13.src.rpm via "rpm --rebuild anaconda-7.2-13.src.rpm"

snip
.
.
.
loader.c: In function `doMountImage':
loader.c:1349: warning: unused variable `defaultMethod'
loader.c: In function `setFloppyDevice':
loader.c:2384: `BUS_MISC' undeclared (first use in this function)
loader.c:2384: (Each undeclared identifier is reported only once
loader.c:2384: for each function it appears in.)
loader.c:2378: warning: unused variable `f'
loader.c:2375: warning: unused variable `match'
loader.c:2374: warning: unused variable `line'
make[1]: *** [loader.o] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/anaconda-7.2/loader'
make: *** [subdirs] Error 1

===============
The anaconda-7.2-13.src.rpm was taken from the RH 7.2 IA64 SRPMS CD1.
I have noticed the Makefile shows a RELEASE of 11???? 

Version-Release number of selected component (if applicable):
7.2-13

How Reproducible:
consistently.

Steps to Reproduce:
1. rpm --rebuild anaconda-7.2-13.src.rpm
2. 
3. 

Actual Results:
See Description of the problem above.

Expected Results:


Additional Information:

Comment 1 Don Chan 2002-04-12 21:04:07 UTC
It turned out my kudzu-devel was not up to date.

Thanks to Bill & Jeremy for the insight...

Don


Note You need to log in before you can comment on or make changes to this bug.